Follow me with extra lines
-
Is there an easy way to use follow me (or a plugin) and get the red marked lines within the follow me action?
-
Have you tried zorro2.rb
Top view 3 slashes your are done.
-
If the top/bottom edges of the profiles 'notches' are in the same plane as the path [in this case 'horizontal'] then those additional lines at the corners should not get added - however with a non-planar path or profile edges they are added to allow the two faces to form as they will cease to be coplanar at the change of direction.
If these edges are actually 'coplanar' and you simply want to select them to erase them, then there are several 'Delete/EraseCoplanarEdges' scripts available: you'd select the general form's geometry that is to be tidied up and run the tool - any edges that are not needed are removed...However if you aim is simply to select these coplanar edges for some other purpose, then try this one-liner
s=Sketchup.active_model.selection;s.each{|e|s.remove(e) unless e.class==Sketchup;;Edge and e.faces[1] and e.faces[0].normal.parallel?(e.faces[1].normal)}
select the general form's geometry and copy/paste this line of code into the Ruby Console +<enter> - then only coplanar edges remain in the selection - note that it has no 'subtlety', unlike most good coplanar-edge erasing tools, which check for the commonality of the edge's shared faces' materials etc...
-
He wants those edges created after using the follow me. So he has quads for subdivision
-
Like extrude edge by offset
-
Doh!
SO initially make the notches' edges non-horizontal [move an end in Z by a known dim] so that the extra edges form at the corners... then select the edges in a loop and move them constrained vertically back by that dim, so that the faces are then coplanar but with those edges still intact.OR use EEbyOffset on inner part of loop by known notch size, and keep coplanar divisions and explode the group...
OR quickly draw one set of edges into one corner of each notch, then Select them [+Ctrl to add to selection] and then Rotate+Ctrl to copy around the whole polygonal shape by a picked angle and number of copies...
-
Thank you all for the helpful hints. Most of them work fine for regular and simple geometries, but
- draw in one corner and repeated rotational copy -> will not work for unsymmetrical follow me path
- move up and down in z -> difficult for many loops (e.g. sawtooth)
So I think the easiest way so far is the zorro-plugin (or knife from artisan) followed by the EEbyOffset (haven't tried yet)
(I want to use the technique for (better) proxy creation for artisan, see part of picture)
-
This new tool http://forums.sketchucation.com/viewtopic.php?p=386601#p386601 -
TIG.splitdonut
- will do what you want, provided that the followme makes a 'donut' and the face has only two loops and these have equal numbers of vertices... It will work on non-radial extrusions [with unequal 'subdivision' lengths]... -
This other new tool http://forums.sketchucation.com/viewtopic.php?p=386610#p386610 -
TIG.splitsauasge
- will do what you want when the followme result is NOT a full loop, provided that the followme makes a 'sausage' and you select a face and one edge to set the 'seed' for the splitting... It will work on non-radial extrusions [with unequal 'subdivision' lengths]... Because you must 'seed' the split it works on ONE face and ONE edge at a time... -
TIG did a fantastic set of plugins, which are the direct answer to my initial question:
http://forums.sketchucation.com/viewtopic.php?p=386658#p386658
Thank you very much!
Advertisement